Subject: bug#11898: automake 1.12.2: self-check-exit.tap fails on Mac OS X 10.7.4

From: Stefano Lattarini <[email-masked]>
Date: Tue, 10 Jul 2012 16:54:00 +0200

severity 11898 minor
thanks

On 07/10/2012 04:26 PM, Max Horn wrote:
> Hi there,
> 
> there is another test failure I am experiencing on Mac OS X 10.7.4,
> but this time I have no idea what's wrong (in particular, no idea
> if this is a problem with my particular system; with OS X or with
> automake). Anyway, here are the fails:
> 
> PASS: t/self-check-exit.tap 31 - command not found
> PASS: t/self-check-exit.tap 32 - permission denied
> FAIL: t/self-check-exit.tap 33 - syntax error 1
> FAIL: t/self-check-exit.tap 34 - syntax error 2
>
Yeah, I'm seeing something similar on Solaris 10 when the /usr/xpg4/bin/sh
shell is used.  What shell is your /bin/sh exactly (Bash, Zsh, something
else)?

Anyway, this failure shows that we cannot trust that our exit trap will
be able to portably detect tests that fails due to syntax error in them
-- they will be reported as passed instead :-/

So I think we should add a check-local recipe (or something like that)
that verifies, using the "-n" option od the shell, that our test cases
are syntactically valid.  Then we can get rid of the two spuriously
failing tests in self-check-exit.tap.

> 
> Attached is the log the test produced on my system. I have a hard time
> making any sense out of tap files, and also this .log file, so I hope
> somebody who knows more about that stuff might see right away what is
> wrong.
> 
> Cheers,
> Max

Thanks,
  Stefano